Module org.firebirdsql.jaybird
Package org.firebirdsql.event

# Interface DatabaseEvent

public interface DatabaseEvent
An interface for retrieving information about events that have occurred

Author:
  Gabriel Reid

## Method Summary

Modifier and Type
Method
Description
`int`
`getEventCount()`
Get the number of times the event occurred.
`String`
`getEventName()`
Get the name of the event that occurred.

## Method Details

### getEventName

String getEventName()
Get the name of the event that occurred.

Returns:
  The event name

### getEventCount

int getEventCount()
Get the number of times the event occurred.

Returns:
  The number of times the event occurred